### Function

# GLib log_writer_default_set_use_stderr

since: 2.68

#### Declaration

    void
    g_log_writer_default_set_use_stderr (
      gboolean use_stderr
    )

#### Description

Configure whether the built-in log functions will output all log messages to `stderr`.

The built-in log functions are `g_log_default_handler()` for the old-style API, and both `g_log_writer_default()` and `g_log_writer_standard_streams()` for the structured API.

By default, log messages of levels `GLogLevelFlags` and `GLogLevelFlags` are sent to `stdout`, and other log messages are sent to `stderr`. This is problematic for applications that intend to reserve `stdout` for structured output such as JSON or XML.

This function sets global state. It is not thread-aware, and should be called at the very start of a program, before creating any other threads or creating objects that could create worker threads of their own.

Available since: 2.68

#### Parameters

`use_stderr`

  Type: `gboolean`

  If `TRUE`, use `stderr` for log messages that would normally have appeared on `stdout`